Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Class X11.XWMHints

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XWMHints

Enclosing interface:
  X11

    public static class X11.XWMHints

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.NativeLong` | `flags`
`X11.Pixmap` | `icon_mask`
`X11.Pixmap` | `icon_pixmap`
`X11.Window` | `icon_window`
`int` | `icon_x`
`int` | `icon_y`
`int` | `initial_state`
`boolean` | `input`
`X11.XID` | `window_group`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XWMHints()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### flags

    public com.sun.jna.NativeLong flags

### input

    public boolean input

### initial_state

    public int initial_state

### icon_pixmap

    public X11.Pixmap icon_pixmap

### icon_window

    public X11.Window icon_window

### icon_x

    public int icon_x

### icon_y

    public int icon_y

### icon_mask

    public X11.Pixmap icon_mask

### window_group

    public X11.XID window_group

Constructor Detail

### X11.XWMHints

    public X11.XWMHints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD